Bug 34790 - /etc/skel not used during desktop login
/etc/skel not used during desktop login
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-09 10:28 CEST by Moritz Muehlenhoff
Modified: 2014-06-12 09:20 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-05-09 10:28:54 CEST
We have 

pam_mkhomedir.so umask=0066 skel=/etc/skel 

in /etc/pam.d/common-session

But the content of /etc/skel is currently not added to the home directory if a user logs into the UCC KDE desktop, e.g. .bashrc is missing in a freshly created home.

For some reason it's working when logging in via SSH, in that case the /.bashrc is created.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-05-09 14:04:11 CEST
Maybe it helps if the 

pam_mkhomedir.so umask=0066 skel=/etc/skel 

is additionally present in /etc/pam.d/lightm?
Comment 2 Felix Botner univentionstaff 2014-05-12 13:24:18 CEST
(1) 

univention-copy-region-info from univention-ucc-session-xenapp creates the home dir in a light session-setup script, before pam_mkhomedir. Added mkhomedir_helper to univention-copy-region-info.

(2)

pam_kwallet breaks pam_mkhomedir. Removed pam_kwallet from lightdm pam file.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-14 09:47:13 CEST
The home directory is now created correctly with /etc/skel being in place
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:00 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".